
import Vue from "vue";
import Router from "vue-router";

Vue.use(Router);
export const constantRoutes = [
  {
    path: '/',
    component: () => import('@/views/login/login'),
    name: 'SysUrl',
    meta: { title: 'sysurl', icon: 'el-icon-set-up' }
  },
  {
    path: '/about',
    component: () => import('@/views/AboutView'),
    name: 'SysRole',
    meta: { icon: 'el-icon-postcard' }
  },
  {
    path: '/master',
    component: () => import('@/views/master/master'),
    name: 'master',
    meta: { icon: 'el-icon-postcard' }
  },


];

const createRouter = () =>
  new Router({
    // mode: 'history', // require service support
    scrollBehavior: () => ({ y: 0 }),
    routes: constantRoutes,
  });

const router = createRouter();

export default router;
